<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
// use Modules\Lpj\Database\Factories\PenawaranDetailTenderFactory;

class PenawaranDetailTender extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     */
    protected $table = 'detail_penawaran';

    protected $guarded = ['id'];

    public function penawaran(): BelongsTo
    {
        return $this->belongsTo(PenawaranTender::class, 'penawaran_id', 'id');
    }

    public function kjpp(): BelongsTo
    {
        return $this->belongsTo(KJPP::class, 'kjpp_rekanan_id', 'id');
    }
}
